package cn.com.qmth.examcloud.web.support;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Component;
import org.springframework.web.client.RestTemplate;

import cn.com.qmth.examcloud.commons.logging.ExamCloudLog;
import cn.com.qmth.examcloud.commons.logging.ExamCloudLogFactory;

/**
 * 远程调用测试
 *
 * @author WANGWEI
 * @date 2018年11月29日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
@Component
public class RemoteProcedureCallTester {

	protected ExamCloudLog log = ExamCloudLogFactory.getLog(RemoteProcedureCallTester.class);

	@Autowired
	RestTemplate restTemplate;

	public void testRestTemplate(String... appNames) {
		for (String appName : appNames) {
			try {
				log.info("[test RestTemplate].  appName=" + appName);
				ResponseEntity<String> entity = restTemplate.getForEntity("http://" + appName,
						String.class);
				log.info("[test RestTemplate].  statusCode=" + entity.getStatusCodeValue());
			} catch (Exception e) {
				log.error("[test RestTemplate]. \n" + "WARN:\n"
						+ "*********************************************************************\n"
						+ e.getMessage() + "\n"
						+ "*********************************************************************\n");
			}
		}
	}

}
